Deprecation of Non Bootstrap themes from Moodle Core – Share your opinion #Moodle

September 3rd, 2016

Since a brand new theme is coming in Moodle 3.2 core which will be based on Bootstrap 4 framework, Damyon Wiese – has proposed to deprecate the non Bootstrap themes – Base and Canvas Themes from Moodle core and move them to the plugins directory.

If you are using any of these themes or you have any other reasons to keep them in Moodle core, you can share with Damyon in this forum thread or this Moodle tracker issue.Deprecation of Non Bootstrap themes from Moodle Core - Share your opinion #Moodle

The main reason as cited by Damyon behind this proposal is:

They are not tested / maintained well and including them in core sends the wrong message. They are no longer professional quality themes that someone should be using as a base for a new theme. 

Other Moodle theme designers like Mary Evans, Richard Oelmann, Dan Poltawski have also supported this proposal. Both themes will be first moved to the Plugins directory  will allow organisations, that need those themes for their sites to work, to install them as ADD-ONS in the Plugins installer.

What’s your opinion about elimination these themes from Moodle core? Are you still using any of these themes on your Moodle site? Do share your views in the comments section below.